var args = Environment.GetCommandLineArgs();
args = (Array.IndexOf(args, "--") > -1) ? args.Skip(Array.IndexOf(args, "--") + 1).ToArray() : (new string[0]);

if (args.Length < 2)
{
	Console.WriteLine("csi explode.csx -- in.tbl out");
	return 1;
}

var r = new BinaryReader(File.Open(args[0], FileMode.Open));

r.BaseStream.Position = 0x20;
var sizes = new List<int>();

for (int i = 0; i < 17; i++)
{
	sizes.Add(r.ReadInt32());
}

for (int i = 0; i < 17; i++)
{
	var w = new BinaryWriter(File.Open(args[1] + i.ToString().PadLeft(2, '0') + ".bin", FileMode.Create));
	var buf = r.ReadBytes(sizes[i]);
	w.Write(buf);
	w.Close();
}

r.Close();
