include 'win32ax.inc'

.code

start:

	push    sxgmasys_tbl + 0x10
	call    decode_sxgmasys_tbl

	push    0
	call    [ExitProcess]
	retn

decode_sxgmasys_tbl_subsub:

	label .arg_0 dword at 4
	label .arg_4 dword at 8
	label .arg_8 byte  at 12

	push    edi
	mov     edi, [esp+4+.arg_4]
	test    edi, edi
	jz      .loc_15D4C

	mov     eax, [esp+4+.arg_0]
	push    ebx
	push    esi
	movzx   si, [esp+0Ch+.arg_8]

.loc_15D34:

	movzx   dx, byte [eax]
	xor     ebx, ebx
	mov     bh, dl
	mov     cx, si
	or      ebx, edx
	shr     bx, cl
	mov     [eax], bl
	inc     eax
	dec     edi
	jnz     .loc_15D34

	pop     esi
	pop     ebx

.loc_15D4C:

	pop     edi
	retn    12

decode_sxgmasys_tbl_sub:

	label .arg_0 dword at 4

	push    esi
	push    [esp+4+.arg_0]   ; 5 or 1
	mov     esi, eax        ; p_decode_data
	push    5Ch             ; dw_decode_size
	push    esi
	call    decode_sxgmasys_tbl_subsub
	xor     eax, eax
	mov     al, 8
	sub     al, byte [esp+4+.arg_0]
	add     esi, 2Ch
	push    eax
	push    1
	push    esi
	call    decode_sxgmasys_tbl_subsub
	pop     esi
	retn    4

decode_sxgmasys_tbl:

	label .arg_0 dword at 4

	mov     eax, [esp+.arg_0]
	test    byte [eax+2Ch], 10h
	push    5Ch
	mov     ecx, eax
	pop     edx             ; dw_decode_size = 0x5C
	jz      .loc_15D91

.loc_15D86:

	xor     byte [ecx], 0EBh
	inc     ecx
	dec     edx
	jnz     .loc_15D86

	push    5

	jmp     .loc_15D9A

.loc_15D91:

	xor     byte [ecx], 0ACh
	inc     ecx
	dec     edx
	jnz     .loc_15D91

	push    1

.loc_15D9A:

	call    decode_sxgmasys_tbl_sub
	retn    4



.data

	sxgmasys_tbl file "sxgmasys.tbl"

.end start
